This API handles bulk card requests for card production and data prep. It allows for active active (via Postilion) or non active active (via Postcard). It also allows creation of debit cards on new accounts, debit cards on existing accounts, reissuing debit cards, new prepaid cards and reissuing existing prepaid cards. If Pregenerated PAN is provided for a card request, the service will attempt to create the card using the provided PAN. However, If PAN is not provided, Postcard CMS will automatically generate a Card PAN to create the card.
| Field # | Field name | Data type | Max length | Required | Description |
|---|
| 1 | issuerNr | int | 3 | true | Issuer Number e.g 2 |
| 2 | cardProgram | string | 1 to 20 | true | Card Program e.g VERVE |
| 3 | userId | string | 3 to 20 | true | User Id or Name e.g Alex |
| 4 | branchCode | string | 10 | false | Branch Code |
| 5 | customers | list | 1 to 500 | true | List of Customer Details. See Customer Info Fields Below for more details on the internal request body. |
| Customer Info Fields | | | | |
| 5.1 | accountId | string | 10 to 28 | false/true | Required for All Debit Card Types |
| 5.2 | accountType | string | 2 to 2 | false/true | Required for New Debit and Prepaid Cards |
| 5.3 | lastName | string | 30 | false/true | Required for New Debit and Prepaid Cards |
| 5.4 | firstName | string | 30 | false/true | Required for New Debit and Prepaid Cards |
| 5.5 | nameOnCard | string | 25 | false/true | Required for New Debit and Prepaid Cards |
| 5.6 | pan | string | 16 to 19 | false/true | Required for Reissue Debit and Prepaid Cards |
| 5.7 | lostOrStolen | boolean | true or false | false/true | Required for Reissue Debit and Prepaid Cards |
| 5.8 | pin | string | 4 | false | Default is 1234 when not provided |
| 5.9 | customerId | string | 25 | false | Autogenerated when not provided |
| 5.10 | mobileNr | string | 50 | false | Customer Mobile Number |
| 5.11 | emailAddress | string | 70 | false | Customer Email Address |
| 5.12 | streetAddress | string | 100 | false | Street Address |
| 5.13 | streetAddressLine2 | string | 100 | false | Street Address Line 2 |
| 5.14 | city | string | 40 | false | City |
| 5.15 | state | string | 20 | false | State |
| 5.16 | postalCode | string | 20 | false | Postal Code |
| 5.17 | countryCode | string | 3 | false | Country Code |
| 5.18 | title | string | 10 | false | Customer Title e.g Mr. |
| 5.19 | middleName | string | 30 | false | Customer Middle Name |
| 5.20 | dateOfBirth | true or false | 8 to 8 | false | Date of Birth in format YYYYMMDD e.g 19810130 |
| 6 | issuerCode | string | | true | Issuer Code for Data Prep |
| 7 | persoCode | string | | true | Perso Code for Data Prep |
| 8 | jobTemplateId | int | | true | Job Template Id for Data Prep |
| 9 | cardDataType | string | | true | Card Data Type for Data Prep |
| 10 | creatorEmail | string | | true | Creator Email for Data Prep |
| 11 | passphrase | string | | false | |
| 12 | rid | | | false | Receiving Institution Identifier for Postilion |
| Parameter # | Parameter Name | Data Type | Required | Description |
|---|
| 1 | cardType | string | true | DEBIT_NEW_ACCOUNT, DEBIT_EXISTING_ACCOUNT, DEBIT_REISSUE, PREPAID_NEW, PREPAID_REISSUE |
| 2 | isActiveActive** | boolean | false | true - card is generated from postcard cms but issued through postilion service. Default value when not provided. false - card is generated and issued by the postcard cms.
- * If the application is configured to restrict non active active requests, the value provided by the client may be overridden by the system and set to true
|
POST /card-management/api/v1/fintech-cms/cpdp
Authorization = Bearer Token
{
"issuerNr": "2",
"cardProgram": "VERVE",
"userId": "Alex",
"customers": [
{
"accountId": "1234567800",
"accountType": "20",
"lastName": "John",
"firstName": "Doe",
"nameOnCard": "John Doe"
},
{
"accountId": "1234567801",
"accountType": "20",
"lastName": "Mariah",
"firstName": "Carey",
"nameOnCard": "Mariah Carey"
}
],
"issuerCode": "tst",
"persoCode": "tps",
"jobTemplateId": 4,
"cardDataType": "test",
"creatorEmail": "[email protected]"
}
| Field # | Field name | Description |
|---|
| 1 | code | Internal Response Code |
| 2 | description | Successful or Error Message |
| 3 | correlationId | Request identifier |
| 4 | errors | Errors array if any errors exists. |
{
"code": "00",
"description": "Card Production Request has been forwarded and creation in progress",
"correlationId": "f358f91b8703472b8ee6ff8e56f48032"
}
{
"code": "400",
"description": "[<FIELD> is required or invalid]",
"errors": [
{
"message": "<FIELD> is required or invalid",
"fieldName": "<FIELD>"
},
{
"message": "<FIELD> is required or invalid",
"fieldName": "<FIELD>"
}
]
}